Skip to content
Permalink
Browse files

Merge pull request #1308 from mozilla/deprecate_vidyo

Move vidyo cron script and dependencies into mozdef-deprecated
  • Loading branch information...
pwnbus committed Jun 3, 2019
2 parents d51aeb1 + 3bd5745 commit 7714970cac9ead7abfdde61b41dea93c6b2698b2
@@ -50,7 +50,7 @@
"set -e",
"sudo yum update -y",
"sudo yum makecache fast",
"sudo yum install -y glibc-devel gcc libstdc++ libffi-devel zlib-devel make mysql-devel python python-devel python-pip git docker python3",
"sudo yum install -y glibc-devel gcc libstdc++ libffi-devel zlib-devel make python python-devel python-pip git docker python3",
"sudo pip install virtualenv docker-compose",
"sudo systemctl enable docker",
"sudo systemctl start docker",

This file was deleted.

This file was deleted.

This file was deleted.

@@ -14,15 +14,14 @@ RUN \
libffi-devel \
zlib-devel \
libcurl-devel \
openssl \
openssl \
openssl-devel \
git \
make && \
useradd -ms /bin/bash -d /opt/mozdef -m mozdef && \
mkdir /opt/mozdef/envs && \
cd /opt/mozdef && \
yum install -y mysql-devel \
python \
yum install -y python \
python-devel \
python-pip && \
yum clean all && \
@@ -70,11 +70,11 @@ We need to install a python2.7 virtualenv.

On Yum-based systems::

sudo yum install make zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel pcre-devel gcc gcc-c++ mysql-devel
sudo yum install make zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel pcre-devel gcc gcc-c++

On APT-based systems::

sudo apt-get install make zlib1g-dev libbz2-dev libssl-dev libncurses5-dev libsqlite3-dev libreadline-dev tk-dev libpcre3-dev libpcre++-dev build-essential g++ libmysqlclient-dev
sudo apt-get install make zlib1g-dev libbz2-dev libssl-dev libncurses5-dev libsqlite3-dev libreadline-dev tk-dev libpcre3-dev libpcre++-dev build-essential g++

Then::

This file was deleted.

@@ -33,7 +33,6 @@ kombu==4.1.0
meld3==1.0.2
mozdef-client==1.0.11
mozdef-util==1.0.8
MySQL-python==1.2.5
netaddr==0.7.1
nose==1.3.7
oauth2client==1.4.12

0 comments on commit 7714970

Please sign in to comment.
You can’t perform that action at this time.